Apache Tomcat 6.0.53

## org.apache.naming.factory
Class EjbFactory

    java.lang.Object
      org.apache.naming.factory.EjbFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class EjbFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for EJBs.

Author:
  Remy Maucherat

Constructor Summary
`EjbFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new EJB instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbFactory

    public EjbFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new EJB instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `java.lang.Exception`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.